See the Case submission type guide for details on each submission type along with an example.
Security
ClientCredentialsToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
The type of message submission.
Enum:"FREEFORM""DEPOSIT_SANCTION_HIT_SUBMISSION""REFERENCE_SANCTION_HIT_SUBMISSION""RECIPIENT_SANCTION_HIT_SUBMISSION""REFERENCE_LOCATION_HIT_SUBMISSION""RECIPIENT_LOCATION_HIT_SUBMISSION""FILE_SUBMISSION"
Example:"FREEFORM"
submissionDataFREEFORM Submission Data (object) or (Sanction Hit Submission Data (Individual Submission (object) or Organisation Submission (object) or Vessel Submission (object) or Multiple Submission (object) or Other Submission (object))) or (Location Hit Submission Data (Reference Location Hit Submission (object) or Recipient Location Hit Submission (object))) or FILE_SUBMISSION Submission Data (object)required
One of:
Submission data for FREEFORM message type. Used for general text-based communication on a case.
Prerequisites:
- Case must not be in RESOLVED or FAILED status
Validation Rules:
freeTextis REQUIRED and must be non-blank
- Production Environmenthttps://api.wise.com/2026Q4/cases/{caseId}/messages
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/cases/{caseId}/messages
Free text message submission
curl -i -X POST \
https://api.wise.com/2026Q4/cases/12345678/messages \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"type": "FREEFORM",
"submissionData": {
"freeText": "The transfer has been verified and approved by our compliance team."
}
}'Message submitted successfully
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Unique identifier of the created message (UUID v4).
Example:"660e8400-e29b-41d4-a716-446655440001"
Timestamp when the message was created. Format: ISO 8601 datetime without timezone (server timezone is UTC).
Example:"2026-07-27T15:00:00.000"
The content of the created message.
- For FREEFORM: contains
text.freeText - For SUBMISSION types: contains
submissionData - For FILE_SUBMISSION: contains
submissionDatawithprofileIdandfileIds
Response
{ "id": "660e8400-e29b-41d4-a716-446655440001", "caseId": 12345678, "createdAt": "2026-07-27T15:00:00.000", "content": { "text": { "freeText": "The transfer has been verified and approved by our compliance team." } }, "type": "FREEFORM", "author": "PARTNER" }